# Problem Solving Workflow Configuration
name: "problem-solving"
description: "Apply systematic problem-solving methodologies to crack complex challenges. This workflow guides through problem diagnosis, root cause analysis, creative solution generation, evaluation, and implementation planning using proven frameworks."
author: "BMad"

# Critical variables load from config_source
config_source: "{project-root}/_bmad/cis/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
date: system-generated

# Context can be provided via data attribute when invoking
# Example: data="{path}/problem-brief.md" provides context

# Module path and component files
installed_path: "{project-root}/_bmad/cis/workflows/problem-solving"
template: "{installed_path}/template.md"
instructions: "{installed_path}/instructions.md"

# Required Data Files
solving_methods: "{installed_path}/solving-methods.csv"

# Output configuration
default_output_file: "{output_folder}/problem-solution-{{date}}.md"

standalone: true

web_bundle:
  name: "problem-solving"
  description: "Apply systematic problem-solving methodologies to crack complex challenges. This workflow guides through problem diagnosis, root cause analysis, creative solution generation, evaluation, and implementation planning using proven frameworks."
  author: "BMad"
  instructions: "_bmad/cis/workflows/problem-solving/instructions.md"
  template: "_bmad/cis/workflows/problem-solving/template.md"
  web_bundle_files:
    - "_bmad/cis/workflows/problem-solving/instructions.md"
    - "_bmad/cis/workflows/problem-solving/template.md"
    - "_bmad/cis/workflows/problem-solving/solving-methods.csv"
